const path = require('path')
const fs = require('fs')
const $RefParser = require("@apidevtools/json-schema-ref-parser")

const args = process.argv.slice(2);

if (args.length !== 2) {
  console.error('Exactly two args are needed')
  console.log('Usage: nodejs bundle.js INPUT OUTPUT')
  process.exit(1)
}

(async () => {
  const basePath = path.dirname(args[1])

  try {
    fs.accessSync(basePath, fs.constants.W_OK)
  } catch (err) {
    fs.mkdirSync(basePath, {recursive: true})
  }

  let schema = await $RefParser.bundle(args[0])

  fs.writeFileSync(args[1], JSON.stringify(schema).replaceAll("%24defs", "$defs"))
})()

